1 Reply Latest reply on Mar 4, 2015 2:33 PM by Sopwithcamel74

    Using Mac os 10.68. Need ADE 2.0 according to Adobe web site. Where can I download?

    lameduck02

      Can not use ADE 4.0 which is available for download. Referred to URL that is not working. Near as I can tell I need ADE 2.0 for Mac running 10.68. Where/how can I get the older download?